Subject: RE: IPR Disclosure: Telefonaktiebolaget LM Ericsson (publ)'s Statement about IPR related to draft-ietf-rtgwg-mrt-frr-architecture-01

From: "Adrian Farrel" <[email-masked]>
Date: Tue, 25 Sep 2012 13:48:18 +0100

Hey Curtis,

Missed this thread, but had I seen it I would have noted that
draft-lee-ccamp-rsvp-te-exclude-route-00 was posted in May 2002, and the
poorly-named draft-lee-rsvp-te-exclude-route was posted in March 2002.

Cheers,
Adrian

> -----Original Message-----
> From: Curtis Villamizar [mailto:[email-masked]]
> Sent: 20 June 2012 20:02
> To: Retana, Alvaro
> Cc: [email-masked]; [email-masked]; [email-masked];
> [email-masked]; [email-masked]; [email-masked];
> [email-masked]; [email-masked]; [email-masked]; [email-masked];
> White, Russell; [email-masked]
> Subject: Re: IPR Disclosure: Telefonaktiebolaget LM Ericsson (publ)'s
Statement
> about IPR related to draft-ietf-rtgwg-mrt-frr-architecture-01
> 
> 
> Alvaro,
> 
> Please remind me.  Has there been any discussion as to whether the XRO
> (exclude route object) in RSVP-TE (RFC 4874) would qualify as prior
> art, since the XRO specifies a "system and method of implementing a
> lightweight not-via fast reroute in a telecommunications network"?
> The patent seems to be a method patent and not a use patent.  It
> appears to me that the only major difference between the XRO and the
> Ericson patent (which may affect not-via and use of redundant trees of
> which maximally redundant would be a subset), is that XRO is applied
> to RSVP-TE and was intended to aid in multi-domain use of RSVP-TE and
> the Ericson patent uses a functionally identical approach (indicate
> which resources to avoid) applied to IP rather than RSVP-TE.
> 
> The XRO was introduced in draft-ietf-ccamp-rsvp-te-exclude-route-00 in
> June 2003 which became an RFC in 2007.  The patent was submitted in
> 2006, three years after XRO publication (not counting individual
> submissions prior to the first WG draft).  If this counts as prior
> art, the patent is invalid.
> 
> I'm not sure how this could affect MRT but not affect the notvia work
> (no IPR disclosure from Ericson on that).  The
> draft-bryant-shand-ipfrr-notvia-addresses-00 individual submission was
> published in March 2005.  This also precedes the patent.
> 
> The only reason I can see that notvia and XRO might be considered
> different is that they don't specify a redundant tree.
> 
> Another question for legal types is whether computing redundant trees
> is an algorithm (specifically a graph theory algorithm) and therefore
> not patentable at all.  Should a patent of this type specify the use
> of a redundant tree algorithm in IP or LDP?  Can a patent apply to the
> use of *any* algorithm which falls within the classification of a
> redundant tree algorithm in IP or LDP?
> 
> Of course, I am not an attorney so I cannot give a legal opinion on
> this matter or any other legal matter.  I am asking if there has ever
> been such a discussion and whether my layperson legally uniformed
> opinion might by chance be accurate or close to accurate.
> 
> If the patent is valid, does apply to the MRT work, and has no
> licensing specified, IMHO the WG should cease to work on this.
> 
> Curtis
> 
> 
> In message
> <[email-masked]
> t>
> "Retana, Alvaro" writes:
> 
> As a reminder, having an IPR claim does not disqualify a draft from advancing
in
> the IETF, being adopted by a working group or from eventually becoming a
> standard.  It just represents one more item to be considered by the working
> group.
> 
> http://www.ietf.org/ipr/policy.html
> 
> To help in the evaluation, the following link is to the patent application
itself
> (provided by the authors):
> 
> http://www.wipo.int/patentscope/search/en/detail.jsf?docId=WO2010055408&r
> ecNum=1&docAn=IB2009007467&queryString=FP:%28PCT/IB2009/007467%29&m
> axRec=1
> 
> 
> As a chair, my job is to remind the WG of the IETF policy -- the decision of
> whether we should continue to work on this item is to be made by the
individuals
> participating in the WG.  Because the concern expressed by Curtis has come up
> several times (from different people), including at the meeting in Taipei, I
would
> like to hear other opinions specific to the impact of the terms of the IPR
filing with
> respect to the architecture proposed.
> 
> Thanks!
> 
> Alvaro.
> 
> 
> > -----Original Message-----
> > From: [email-masked] [mailto:[email-masked]] On Behalf
> > Of Curtis Villamizar
> > Sent: Wednesday, June 20, 2012 11:53 AM
> > To: [email-masked]; [email-masked];
> > [email-masked]; [email-masked]; [email-masked];
> > [email-masked]; [email-masked]; [email-masked];
> > [email-masked]; [email-masked]
> > Cc: [email-masked]
> > Subject: Re: IPR Disclosure: Telefonaktiebolaget LM Ericsson (publ)'s
> > Statement about IPR related to draft-ietf-rtgwg-mrt-frr-architecture-01
> >
> >
> > In message <[email-masked]>
> > IETF Secretariat writes:
> >
> > >
> > > Dear Gabor Sandor Envedi, Alia Atlas, Robert Kebler, Andras Csaszar,
> > > Russ White, Mike Shand, Maciek Konstantynowicz:
> > >
> > >  An IPR disclosure that pertains to your Internet-Draft entitled "An
> > > Architecture for IP/LDP Fast-Reroute Using Maximally Redundant Trees"
> > > (draft- ietf-rtgwg-mrt-frr-architecture) was submitted to the IETF
> > > Secretariat on 2012-06-18 and has been posted on the "IETF Page of
> > > Intellectual Property Rights Disclosures"
> > > (https://datatracker.ietf.org/ipr/1801/). The title of the IPR
> > > disclosure is "Telefonaktiebolaget LM Ericsson (publ)'s Statement
> > > about IPR related to draft-ietf-rtgwg-mrt-frr-architecture-01."");
> > >
> > > The IETF Secretariat
> >
> >
> > Prior reasons to be hesitant about this work included the rather
> > substantial change to routing and forwarding, and the need to deploy
> > network wide (no accommodation for legacy equipment).  Regardless, it
> > became a WG item.
> >
> > Now that there is an IPR disclosure with no statement at all regarding
> > licensing terms, it might be time to reconsider whether the WG should
> > go forward with this work.
> >
> > IMHO- If the IPR disclosure is not updated with a reasonable and
> > non-discriminatory, preferably royalty-free, licensing statement, the
> > MRT work should be abandoned by RTGWG.
> >
> > Curtis
> > _______________________________________________
> > rtgwg mailing list
> > [email-masked]
> > https://www.ietf.org/mailman/listinfo/rtgwg